org.appng.core.xml.repository

## Class PackageVersions

- java.lang.Object
- - org.appng.core.xml.repository.PackageVersions

-     public class PackageVersions
      extends Object

  Java class for packageVersions complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="packageVersions">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="package" type="{http://www.appng.org/schema/application}packageInfo" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<PackageInfo>` | `_package`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageVersions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<PackageInfo>` | `getPackage()` Gets the value of the package property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _package

          protected List<PackageInfo> _package

  - ### Constructor Detail

    - #### PackageVersions

          public PackageVersions()

  - ### Method Detail

    - #### getPackage

          public List<PackageInfo> getPackage()

      Gets the value of the package property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the package property.

      For example, to add a new item, do as follows:

              getPackage().add(newItem);

      Objects of the following type(s) are allowed in the list `PackageInfo`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.